Update Customer
curl --request PATCH \
--url https://api.crosoftware.com/v0/customers/{customer_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"name": "<string>",
"parent_id": 123
}
'import requests
url = "https://api.crosoftware.com/v0/customers/{customer_id}"
payload = {
"name": "<string>",
"parent_id": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', parent_id: 123})
};
fetch('https://api.crosoftware.com/v0/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"addresses": [
{
"country": "<string>",
"id": 123,
"is_active": true,
"is_billing": true,
"is_physical": true,
"is_shipping": true,
"latitude": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>"
}
],
"contacts": [
{
"email": "jsmith@example.com",
"fax": "<string>",
"id": 123,
"name": "<string>",
"notify_on_acknowledged_request": true,
"notify_on_completed_request": true,
"notify_on_dispatched_request": true,
"notify_on_failed_request": true,
"notify_on_new_request": true,
"number": "<string>"
}
],
"created_on": "2023-11-07T05:31:56Z",
"id": 123,
"last_updated_on": "2023-11-07T05:31:56Z",
"locations": [
{
"created_on": "2023-11-07T05:31:56Z",
"id": 123,
"is_active": true,
"last_updated_on": "2023-11-07T05:31:56Z",
"location_id": 123,
"renewal_date": "2023-11-07T05:31:56Z",
"is_commercial": true,
"note": "<string>",
"reference_number": "<string>",
"sales_rep": "<string>",
"sales_rep_id": "<string>",
"suspension_id": 123
}
],
"name": "<string>",
"parent_id": 123
}Customers
Update Customer
Update a customer.
PATCH
/
customers
/
{customer_id}
Update Customer
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Customer identifier.
Body
application/json
Response
200 - application/json
Success
Customer profile.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp of creation (must be in past).
Customer identifier.
Show child attributes
Show child attributes
Name (free text).
Parent record identifier.
⌘I